=== debian/control ===
Source: qt-heif-image-plugin
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Jake Harr <jakeharr@gmail.com>
Build-Depends: debhelper (>= 9),
    cmake (>= 3.5),
    libheif-dev (>= 1.1),
    pkg-config,
    qtbase5-dev
Standards-Version: 3.9.8
Section: libs
Homepage: https://github.com/jakar/qt-heif-image-plugin

Package: qt-heif-image-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: qt-heifimageplugin
Replaces: qt-heifimageplugin
Description: Qt 5 Plugin for HEIF Images
 Wraps libheif to enable Qt 5 applications to support HEIF images.
