## qt-heif-image-plugin 0.3.4

=== debian/changelog ===
qt-heif-image-plugin (0.3.4-1~mx25) mx; urgency=medium

  * New(ish) upstream release
  * Build for MX-25

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sat, 03 May 2025 12:44:56 -0400
