=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Jake Harr <jakeharr@gmail.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 12),
     cmake (>= 3.5),
     libheif-dev (>= 1.1),
     pkg-config,
-    qtbase5-dev
+    qt6-base-dev
 Standards-Version: 3.9.8
 Section: libs
 Homepage: https://github.com/jakar/qt-heif-image-plugin
